#include<bits/stdc++.h>
using namespace std;
#define _for(i,a,b) for(int i=a;i<=b;++i)
#define For(i,a,b) for(int i=a;i>=b;--i)
typedef long long ll;
typedef unsigned long long ull;
const int inf=0x3f3f3f3f;
namespace YWK{
	const long long Mod=1e9+7;
    void init(){

    }
}
int main(){
	freopen("barrack.in","r",stdin);
	freopen("barrack.out","w",stdout);
    YWK::init();
    return 0;
}
